petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatCreateLaplacian

Create the matrix Laplacian, with all values in the matrix less than the tolerance set to zero

### Synopsis

    #include <petscmat.h>
    PetscErrorCode MatCreateLaplacian(Mat A, PetscReal tol, PetscBool weighted, Mat *L)

### Input Parameters

| A | - The matrix
| tol | - The zero tolerance
| weighted | - Flag for using edge weights

### Output Parameters

L -The graph Laplacian matrix

### See Also

MatChop()

### Level

intermediate

### Location

src/mat/order/spectral.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages